Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 19)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 153)
@@ -4,12 +4,6 @@
 	classes = {
 	};
-	objectVersion = 38;
+	objectVersion = 39;
 	objects = {
-		080E96DCFE201CFB7F000001 = {
-			fileRef = 29B97318FDCFA39411CA2CEA;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		089C165CFE840E0CC02AAC07 = {
 			children = (
@@ -19,17 +13,14 @@
 			name = InfoPlist.strings;
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		089C165DFE840E0CC02AAC07 = {
 			fileEncoding = 10;
 			isa = PBXFileReference;
+			lastKnownFileType = text.plist.strings;
 			name = English;
 			path = English.lproj/InfoPlist.strings;
 			refType = 4;
-		};
-		089C165EFE840E0CC02AAC07 = {
-			fileRef = 089C165CFE840E0CC02AAC07;
-			isa = PBXBuildFile;
-			settings = {
-			};
+			sourceTree = "<group>";
 		};
 //080
@@ -44,148 +35,38 @@
 //104
 		103DFC16016C12D80C000109 = {
-			isa = PBXFileReference;
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			lastKnownFileType = sourcecode.c.h;
 			path = FSAApp.h;
 			refType = 2;
+			sourceTree = SOURCE_ROOT;
 		};
 		103DFC17016C12D80C000109 = {
+			fileEncoding = 30;
 			indentWidth = 4;
 			isa = PBXFileReference;
-			path = FSAApp.m;
+			lastKnownFileType = sourcecode.cpp.objcpp;
+			path = FSAApp.mm;
 			refType = 2;
+			sourceTree = SOURCE_ROOT;
 			tabWidth = 8;
 			usesTabs = 0;
 		};
-		103DFC18016C12D80C000109 = {
-			fileRef = 103DFC16016C12D80C000109;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		103DFC19016C12D80C000109 = {
-			fileRef = 103DFC17016C12D80C000109;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		103DFC1A016C16650C000109 = {
-			isa = PBXLibraryReference;
-			path = "F-Script Anywhere";
-			refType = 3;
-		};
-		103DFC1B016C16650C000109 = {
-			buildPhases = (
-				103DFC1C016C16650C000109,
-				103DFC1D016C16650C000109,
-				103DFC1E016C16650C000109,
-				103DFC1F016C16650C000109,
-			);
-			buildSettings = {
-				DYLIB_COMPATIBILITY_VERSION = 1;
-				DYLIB_CURRENT_VERSION = 1;
-				LIBRARY_STYLE = BUNDLE;
-				OTHER_CFLAGS = "";
-				OTHER_LDFLAGS = "";
-				OTHER_LIBTOOL_FLAGS = "";
-				OTHER_REZFLAGS = "";
-				PREBINDING = NO;
-				PRODUCT_NAME = "F-Script Anywhere";
-				REZ_EXECUTABLE = YES;
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = "-Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
-			};
-			isa = PBXLibraryTarget;
-			name = Library;
-			productInstallPath = /usr/local/lib;
-			productName = TestPatch;
-			productReference = 103DFC1A016C16650C000109;
-			shouldUseHeadermap = 0;
-		};
-		103DFC1C016C16650C000109 = {
-			buildActionMask = 2147483647;
-			files = (
-				F574ADDF020ACCDF01AEEDB1,
-				F523EA2C020CF06A01AEEC37,
-				F5FF50BE02E53B9E01AEEDB1,
-				F5FD788B034828E101AEEDB1,
-			);
-			isa = PBXHeadersBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		103DFC1D016C16650C000109 = {
-			buildActionMask = 2147483647;
-			files = (
-				103DFC26016C17070C000109,
-				F574ADE0020ACCDF01AEEDB1,
-				F523EA2F020CF15B01AEEC37,
-				F5FF50BF02E53B9E01AEEDB1,
-				F5FD788C034828E101AEEDB1,
-			);
-			isa = PBXSourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		103DFC1E016C16650C000109 = {
-			buildActionMask = 2147483647;
-			files = (
-				F59279FA01FED09A01AEEC37,
-				F5EFC2C4020A6C2601AEEDB1,
-			);
-			isa = PBXFrameworksBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		103DFC1F016C16650C000109 = {
-			buildActionMask = 2147483647;
-			files = (
-			);
-			isa = PBXRezBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
 		103DFC20016C16E20C000109 = {
-			isa = PBXFileReference;
-			path = FSABundle.m;
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			lastKnownFileType = sourcecode.cpp.objcpp;
+			path = FSABundle.mm;
 			refType = 2;
-		};
-		103DFC26016C17070C000109 = {
-			fileRef = 103DFC20016C16E20C000109;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		103DFC28016C17A00C000109 = {
-			buildActionMask = 2147483647;
-			dstPath = "";
-			dstSubfolderSpec = 7;
-			files = (
-				F535E680020CDD4601AEEC37,
-			);
-			isa = PBXCopyFilesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
+			sourceTree = SOURCE_ROOT;
 		};
 		1058C7A1FEA54F0111CA2CBB = {
+			fallbackIsa = PBXFileReference;
 			isa = PBXFrameworkReference;
+			lastKnownFileType = wrapper.framework;
 			name = Cocoa.framework;
 			path = /System/Library/Frameworks/Cocoa.framework;
 			refType = 0;
-		};
-		1058C7A3FEA54F0111CA2CBB = {
-			fileRef = 1058C7A1FEA54F0111CA2CBB;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		108927070180B1F40C000084 = {
-			isa = PBXFileReference;
-			name = libPatchCocoa.a;
-			path = /usr/local/lib/libPatchCocoa.a;
-			refType = 0;
-		};
-		108927080180B1F40C000084 = {
-			fileRef = 108927070180B1F40C000084;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		108927090180B2600C000084 = {
-			isa = PBXTargetDependency;
-			target = 103DFC1B016C16650C000109;
+			sourceTree = "<absolute>";
 		};
 //100
@@ -194,19 +75,4 @@
 //103
 //104
-//170
-//171
-//172
-//173
-//174
-		17587328FF379C6511CA2CBB = {
-			isa = PBXApplicationReference;
-			path = "F-Script Anywhere.app";
-			refType = 3;
-		};
-//170
-//171
-//172
-//173
-//174
 //190
 //191
@@ -216,10 +82,12 @@
 		19C28FACFE9D520D11CA2CBB = {
 			children = (
-				17587328FF379C6511CA2CBB,
-				103DFC1A016C16650C000109,
+				E1EE9A300575769600F2D92C,
+				E1EE9A4F057576A700F2D92C,
+				E1D652040575B3D50054F5D1,
 			);
 			isa = PBXGroup;
 			name = Products;
 			refType = 4;
+			sourceTree = "<group>";
 		};
 //190
@@ -234,14 +102,20 @@
 //294
 		29B97313FDCFA39411CA2CEA = {
+			buildSettings = {
+				MACOSX_DEPLOYMENT_TARGET = 10.2;
+				SDKROOT = /Developer/SDKs/MacOSX10.2.7.sdk;
+			};
 			buildStyles = (
 				4A9504CCFFE6A4B311CA0CBA,
 				4A9504CDFFE6A4B311CA0CBA,
 			);
+			hasScannedForEncodings = 1;
 			isa = PBXProject;
 			mainGroup = 29B97314FDCFA39411CA2CEA;
 			projectDirPath = "";
 			targets = (
-				29B97326FDCFA39411CA2CEA,
-				103DFC1B016C16650C000109,
+				E1EE9A010575769600F2D92C,
+				E1EE9A4E057576A700F2D92C,
+				E1D651FA0575B3D50054F5D1,
 			);
 		};
@@ -250,4 +124,5 @@
 				F523EA31020CF1C701AEEC37,
 				29B97315FDCFA39411CA2CEA,
+				E1E4A9C205A285140097D040,
 				F5EFC2DB020A6E4301AEEDB1,
 				F5EFC2D8020A6E0E01AEEDB1,
@@ -260,7 +135,9 @@
 			path = "";
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97315FDCFA39411CA2CEA = {
 			children = (
+				E1E4A91D05A25F440097D040,
 				103DFC20016C16E20C000109,
 				F574ADDA020ACAC801AEEDB1,
@@ -272,12 +149,16 @@
 			);
 			isa = PBXGroup;
-			name = "Library sources";
+			name = "Bundle sources";
 			path = "";
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97316FDCFA39411CA2CEA = {
-			isa = PBXFileReference;
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			lastKnownFileType = sourcecode.c.objc;
 			path = main.m;
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97317FDCFA39411CA2CEA = {
@@ -286,7 +167,14 @@
 				F5680F7A020D0D0401AEEC37,
 				F5FF50C002E53EE101AEEDB1,
+				E1EE9A2F0575769600F2D92C,
 				089C165CFE840E0CC02AAC07,
+				E1D6B7E905A4AAE2003838B0,
+				E1FD011505B91232001DABE0,
+				E1F3DF900579172A00E952A5,
+				E1D652A40575B55B0054F5D1,
+				E1D652A90575B5750054F5D1,
 				F535E67D020CD95201AEEC37,
 				F5694E2702E96FFE01AEEDB1,
+				E14C1ECE05A8DB19000D4AF3,
 				F57D63160319B6CA01AEEDB1,
 				F523EA29020CEF5001AEEC37,
@@ -299,4 +187,5 @@
 			path = "";
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97318FDCFA39411CA2CEA = {
@@ -308,10 +197,13 @@
 			path = "";
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97319FDCFA39411CA2CEA = {
 			isa = PBXFileReference;
+			lastKnownFileType = wrapper.nib;
 			name = English;
 			path = English.lproj/MainMenu.nib;
 			refType = 4;
+			sourceTree = "<group>";
 		};
 		29B97323FDCFA39411CA2CEA = {
@@ -319,5 +211,4 @@
 				F59279FB01FED0C901AEEC37,
 				1058C7A1FEA54F0111CA2CBB,
-				108927070180B1F40C000084,
 				F5EFC2C3020A6C2601AEEDB1,
 			);
@@ -326,139 +217,5 @@
 			path = "";
 			refType = 4;
-		};
-		29B97326FDCFA39411CA2CEA = {
-			buildPhases = (
-				29B97327FDCFA39411CA2CEA,
-				29B97328FDCFA39411CA2CEA,
-				29B9732BFDCFA39411CA2CEA,
-				29B9732DFDCFA39411CA2CEA,
-				103DFC28016C17A00C000109,
-				F52D400302D2C7A201AEEDB1,
-				F5680F81020D365601AEEC37,
-			);
-			buildSettings = {
-				FRAMEWORK_SEARCH_PATHS = "\"$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks\"";
-				HEADER_SEARCH_PATHS = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/include\"";
-				INSTALL_PATH = /;
-				LIBRARY_SEARCH_PATHS = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/libstuff\"";
-				OTHER_LDFLAGS = "-multiply_defined suppress -lstuff";
-				PREBINDING = NO;
-				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = "-Wno-long-double -Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
-				WRAPPER_EXTENSION = app;
-			};
-			dependencies = (
-				108927090180B2600C000084,
-			);
-			isa = PBXApplicationTarget;
-			name = Application;
-			productInstallPath = /;
-			productName = PatchTest;
-			productReference = 17587328FF379C6511CA2CBB;
-			productSettingsXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
-<!DOCTYPE plist PUBLIC \"-//Apple Computer//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
-<plist version=\"1.0\">
-<dict>
-	<key>CFBundleDevelopmentRegion</key>
-	<string>English</string>
-	<key>CFBundleExecutable</key>
-	<string>F-Script Anywhere</string>
-	<key>CFBundleGetInfoString</key>
-	<string>F-Script Anywhere 1.1.6d1, © 2002 Nicholas Riley</string>
-	<key>CFBundleIconFile</key>
-	<string>Application icon</string>
-	<key>CFBundleIdentifier</key>
-	<string>net.sabi.FScriptAnywhereApp</string>
-	<key>CFBundleInfoDictionaryVersion</key>
-	<string>6.0</string>
-	<key>CFBundleName</key>
-	<string>F-Script Anywhere</string>
-	<key>CFBundlePackageType</key>
-	<string>APPL</string>
-	<key>CFBundleShortVersionString</key>
-	<string>1.1.6d1</string>
-	<key>CFBundleSignature</key>
-	<string>FSAn</string>
-	<key>CFBundleVersion</key>
-	<string>1.1.6d1</string>
-	<key>NSMainNibFile</key>
-	<string>MainMenu</string>
-	<key>NSPrincipalClass</key>
-	<string>FSAApp</string>
-</dict>
-</plist>
-";
-			shouldUseHeadermap = 1;
-		};
-		29B97327FDCFA39411CA2CEA = {
-			buildActionMask = 2147483647;
-			files = (
-				103DFC18016C12D80C000109,
-				F5EFC2CD020A6CD101AEEDB1,
-				F5EFC2CE020A6CD101AEEDB1,
-				F5EFC2D2020A6CEC01AEEDB1,
-				F5EFC2D9020A6E0E01AEEDB1,
-				F5EFC2DE020A6EB901AEEDB1,
-				F5EFC2E2020A6FD501AEEDB1,
-				F5EFC2E9020A8F7F01AEEDB1,
-				F574ADD7020AC10F01AEEDB1,
-				F523EA2D020CF06A01AEEC37,
-				F53A0D8402750B1F01AEEDB1,
-			);
-			isa = PBXHeadersBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		29B97328FDCFA39411CA2CEA = {
-			buildActionMask = 2147483647;
-			files = (
-				080E96DCFE201CFB7F000001,
-				089C165EFE840E0CC02AAC07,
-				F535E67E020CD95201AEEC37,
-				F523EA2A020CEF5001AEEC37,
-				F5680F7C020D0D0401AEEC37,
-				F5FF50C202E5418F01AEEDB1,
-				F5694E2802E96FFE01AEEDB1,
-				F57D63170319B6CA01AEEDB1,
-			);
-			isa = PBXResourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		29B9732BFDCFA39411CA2CEA = {
-			buildActionMask = 2147483647;
-			files = (
-				29B9732CFDCFA39411CA2CEA,
-				103DFC19016C12D80C000109,
-				F5EFC2CF020A6CD101AEEDB1,
-				F5EFC2D0020A6CD101AEEDB1,
-				F5EFC2DA020A6E0E01AEEDB1,
-				F5EFC2DF020A6EB901AEEDB1,
-				F5EFC2E3020A6FD501AEEDB1,
-				F5EFC2EA020A8F7F01AEEDB1,
-				F5EFC2EC020A90DF01AEEDB1,
-				F574ADD8020AC10F01AEEDB1,
-				F523EA30020CF15B01AEEC37,
-				F53A0D8502750B1F01AEEDB1,
-			);
-			isa = PBXSourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		29B9732CFDCFA39411CA2CEA = {
-			fileRef = 29B97316FDCFA39411CA2CEA;
-			isa = PBXBuildFile;
-			settings = {
-				ATTRIBUTES = (
-				);
-			};
-		};
-		29B9732DFDCFA39411CA2CEA = {
-			buildActionMask = 2147483647;
-			files = (
-				1058C7A3FEA54F0111CA2CBB,
-				108927080180B1F40C000084,
-				F5EFC2D5020A6D3701AEEDB1,
-			);
-			isa = PBXFrameworksBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
+			sourceTree = "<group>";
 		};
 //290
@@ -477,5 +234,10 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = NO;
+				GCC_DYNAMIC_NO_PIC = NO;
+				GCC_ENABLE_FIX_AND_CONTINUE = YES;
+				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
+				GCC_OPTIMIZATION_LEVEL = 0;
 				OPTIMIZATION_CFLAGS = "-O0";
+				ZERO_LINK = NO;
 			};
 			isa = PBXBuildStyle;
@@ -487,5 +249,7 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = YES;
+				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				OTHER_CFLAGS = "-DFSA_DEBUG=0";
+				ZERO_LINK = NO;
 			};
 			isa = PBXBuildStyle;
